## org.apache.poi.hdf.event
Interface HDFLowLevelParsingListener

All Known Implementing Classes:
  EventBridge, HDFObjectModel

public interface HDFLowLevelParsingListener

Method Summary
`void` `bodySection(SepxNode sepx)`
`void` `characterRun(ChpxNode chpx)`
`void` `document(DocumentProperties dop)`
`void` `endSections()`
`void` `fonts(FontTable fontTbl)`
`void` `hdrSection(SepxNode sepx)`
`void` `lists(ListTables listTbl)`
`void` `mainDocument(byte[] mainDocument)`
`void` `miscellaneous(int fcMin, int ccpText, int ccpFtn, int fcPlcfhdd, int lcbPlcfhdd)`
`void` `paragraph(PapxNode papx)`
`void` `styleSheet(StyleSheet stsh)`
`void` `tableStream(byte[] tableStream)`
`void` `text(TextPiece t)`

Method Detail

### mainDocument

    public void mainDocument(byte[] mainDocument)

### tableStream

    public void tableStream(byte[] tableStream)

### document

    public void document(DocumentProperties dop)

### bodySection

    public void bodySection(SepxNode sepx)

### paragraph

    public void paragraph(PapxNode papx)

### characterRun

    public void characterRun(ChpxNode chpx)

### hdrSection

    public void hdrSection(SepxNode sepx)

### endSections

    public void endSections()

### text

    public void text(TextPiece t)

### fonts

    public void fonts(FontTable fontTbl)

### lists

    public void lists(ListTables listTbl)

### styleSheet

    public void styleSheet(StyleSheet stsh)

### miscellaneous

    public void miscellaneous(int fcMin,
                              int ccpText,
                              int ccpFtn,
                              int fcPlcfhdd,
                              int lcbPlcfhdd)

Copyright © 2003 Apache Software Foundation.